Skip to main content
Topic: audacious-plugins без pulseaudio (Read 124 times) previous topic - next topic
0 Members and 1 Guest are viewing this topic.

audacious-plugins без pulseaudio

Code: [Select]
предупреждение: пропуск пакета pulseaudio-13.0-3
предупреждение: пропуск пакета pulseaudio-13.0-3
предупреждение: не удалось разрешить "pulseaudio", зависимость "audacious-plugins"
:: Этот пакет не может быть обновлен из-за неразрешимых зависимостей:
      audacious-plugins

:: Вы уверены что хотите пропустить этот пакет при обновлении? [y/N] n
ошибка: не удалось подготовить транзакцию (не удалось удовлетворить зависимости)
:: unable to satisfy dependency 'pulseaudio' required by audacious-plugins

Без pulseaudio видимо уже не обойтись.

Re: audacious-plugins без pulseaudio

Reply #1
audacious-plugin is provided by archlinux, not by us. Yes, pulseaudio is needed. Because it is not possible to make pulseaudio 'optional', you need to recompile the package without pulseaudio yourself - if you do not use pulseaudio. There is no other possibility. sorry.

audacious-плагин предоставлен archlinux, а не нами. Да, Pulseaudio нужен. Поскольку невозможно сделать pulseaudio «необязательным», вам нужно самостоятельно перекомпилировать пакет без pulseaudio - если вы не используете pulseaudio. Там нет другой возможности. Извините.

https://bugs.archlinux.org/task/63813

Re: audacious-plugins без pulseaudio

Reply #2
Code: [Select]
предупреждение: пропуск пакета pulseaudio-13.0-3
предупреждение: пропуск пакета pulseaudio-13.0-3
предупреждение: не удалось разрешить "pulseaudio", зависимость "audacious-plugins"
:: Этот пакет не может быть обновлен из-за неразрешимых зависимостей:
      audacious-plugins

:: Вы уверены что хотите пропустить этот пакет при обновлении? [y/N] n
ошибка: не удалось подготовить транзакцию (не удалось удовлетворить зависимости)
:: unable to satisfy dependency 'pulseaudio' required by audacious-plugins

Без pulseaudio видимо уже не обойтись.
Установка pulse не означает, что обязательно его запускать, вполне возможно, что плагин просто слинкован с библиотекой и пытается найти её при запуске. Вообще по-моему не так много проектов, в которых динамические библиотеки подгружаются только по требованию (хороший пример: X-сервер, библиотека для DRM подключается в зависимости от того, какой модуль предоставляет устройство вывода)

P.S. Радует, как админы нас легко понимают :D

Re: audacious-plugins без pulseaudio

Reply #3
audacious-plugin is provided by archlinux, not by us. Yes, pulseaudio is needed. Because it is not possible to make pulseaudio 'optional', you need to recompile the package without pulseaudio yourself - if you do not use pulseaudio. There is no other possibility. sorry.

https://bugs.archlinux.org/task/63813
Я понимаю. Просто выражаю свое сожаление, что эту пульсу всюду пихают. Лично мне pulseaudio абсолютно ненужно.
Спасибо, но пересборкой пакетов я сыт по горло.

Re: audacious-plugins без pulseaudio

Reply #4
Установка pulse не означает, что обязательно его запускать, вполне возможно, что плагин просто слинкован с библиотекой и пытается найти её при запуске.
Зачем мне ставить то в чём нет нужды? Вполне доволен alsa.
Несмотря на это есть альтернатива, но боюсь, что это ненадолго. Скоро pulseaudio будет везде обязательным условием.

Re: audacious-plugins без pulseaudio

Reply #5
Зачем мне ставить то в чём нет нужды? Вполне доволен alsa.
Несмотря на это есть альтернатива, но боюсь, что это ненадолго. Скоро pulseaudio будет везде обязательным условием.
Насчёт того, что pulse везде пихают - согласен, говно
А вот насчёт ставить не нужное сложнее: тут либо разрабы программы должны заморочиться подключением библиотеки только по требованию, либо сборщики дистрибутива должны собирать по пакету на каждый набор фич для каждой программы. Второе вряд ли кто-то кроме самых крупных дистрибутивов может себе позволить

Re: audacious-plugins без pulseaudio

Reply #6
проблема не в пульсе, а в «audacity». Программа не может загружать модули по требованию. Поэтому они отменили optdepends .. увидеть эту https://bugs.archlinux.org/task/63813.

Re: audacious-plugins без pulseaudio

Reply #7
audacious-plugins 4.0.3-4 change pulseaudio for libpulse
audacious-plugins 4.0.3-4 изменяет pulseaudio для libpulse

Re: audacious-plugins без pulseaudio

Reply #8
Lxmusic неплохой проигрыватель, но из-за этого бага
Code: [Select]
lxmusic 

(process:27889): Gtk-WARNING **: 21:55:54.808: Locale not supported by C library.
Using the fallback 'C' locale.

** (lxmusic:27889): WARNING **: 21:55:55.105: on_playback_volume_changed: couldn't get volume
FAIL in xmmsc/xmmstypes: Check 'xmmsv_is_type (dictv, XMMSV_TYPE_DICT)' failed in xmmsv_dict_foreach at ../src/lib/xmmstypes/xmmsv_dict.c:512[

** (lxmusic:11556): WARNING **: 22:09:34.794: on_playback_volume_changed: couldn't get volume
мне пришлось перейти на audacious.
У lxmusic "tools" тоже не работает.

Re: audacious-plugins без pulseaudio

Reply #9
Lxmusic, к сожалению, мертв. Он не обновлялся с 2016 года, lxde больше не существует. Я сомневаюсь, что кто-то мог это исправить :-(
xmms2 тоже мертв. 3 года.

попробуй прагу https://www.archlinux.org/packages/community/x86_64/pragha/

Re: audacious-plugins без pulseaudio

Reply #10
Lxmusic, к сожалению, мертв. Он не обновлялся с 2016 года, lxde больше не существует. Я сомневаюсь, что кто-то мог это исправить :-(
xmms2 тоже мертв. 3 года.

попробуй прагу https://www.archlinux.org/packages/community/x86_64/pragha/
Pragha may fail sometimes if you add large music collection (at least this happened to me). I'd prefer MPD then